{hostname}: Lookup WHOIS information

API: networkcalc.com:networkcalc-api
Endpoint: /dns/whois/{hostname}
Response format: unknown
Auth: unknown
Method: GET
Last Status: 200
Latency: 650ms

Description

Lookup WHOIS information for a hostname or domain name.

Parameters (1)

hostname (string, path, required)

The hostname or domain name to look up

Examples (1)

Lookup WHOIS information openapi-spec
curl 'https://networkcalc.com/api/dns/whois/google.com'
import requests

resp = requests.get("https://networkcalc.com/api/dns/whois/google.com")
data = resp.json()
import zingu_apis

api = zingu_apis.api("networkcalc")
result = api.fetch("dns/whois/{hostname}")

for item in result:
    print(item)
const resp = await fetch("https://networkcalc.com/api/dns/whois/google.com");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 02:13:06.827354 200 650ms
2026-04-15 01:48:33.357651 200 754ms
2026-04-14 00:02:30.369537 200 748ms
2026-04-12 14:29:22.024746 200 694ms
2026-04-10 01:46:21.389880 ERR
2026-04-09 02:28:26.912391 ERR